<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
    exclude-result-prefixes="xs xd"
    version="2.0">
    <xsl:param name="documentSystemID"/>
    
    <xsl:template name="start">
        <xsl:variable name="a" select="doc($documentSystemID)//a"/>
        <items action="replace">
            <xsl:apply-templates select="$a">
                <xsl:sort select="./@id"/>
            </xsl:apply-templates>
        </items>
    </xsl:template>
    
    <xsl:template match="a">
        <item 
            value="{@id}" 
            annotation="Refer to an a element with the ID {@id} &#10;{./desc}"/>
    </xsl:template>
    
</xsl:stylesheet>